﻿
@model JavnaNabava.ViewModels.DokumentViewModel

@{
    ViewData["Title"] = "Dokument";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Dokument</h1>
<p>
    <small>
        Prikaz vrijednosti umjesto ključeva <br />
        Implementirano je straničenje i sortiranje te ostanak na stranici prilikom brisanja.<br />
        Omogućeno je dodavanje i ažuriranje novog podatka te validacija podataka.<br />
        Napravljena je potvrda prilikom brisanja.<br />
    </small>
</p>
<p>
    <a asp-action="Create"><i class="fas fa-plus-square"></i>Stvori novi dokument</a>
</p>
<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu"
       page-action="Index" class="float-right">
</pager>
<table class="table table-sm table-striped" table-hover">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">
                    Urudžbeni br.
                </a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 2 ? !Model.PagingInfo.Ascending : true)">Vrsta dokumenta</a>
            </th>
            <th>
                <a asp-route-sort="3"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 3 ? !Model.PagingInfo.Ascending : true)">Datum dokumenta</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 4 ? !Model.PagingInfo.Ascending : true)">Naslov</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 4 ? !Model.PagingInfo.Ascending : true)">Ponuda br.</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 4 ? !Model.PagingInfo.Ascending : true)">Stručnjak</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 4 ? !Model.PagingInfo.Ascending : true)">Natječaj</a>
            </th>
            <th>
                Dokument
            </th>

            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var dokument in Model.Dokumenti)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => dokument.urudzbeniBr)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => dokument.vrsta)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => dokument.datumDokumenta)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => dokument.naslov)
                </td>

                <td>
                        @Html.DisplayFor(modelItem => dokument.ponuda)

                </td>
                <td>
                        @Html.DisplayFor(modelItem => dokument.ponudaStrucnjak)

                </td>
                <td>

                        @Html.DisplayFor(modelItem => dokument.natjecaj)

                </td>
                <td>
                    @Html.DisplayFor(modelItem => dokument.fileBinary)
                </td>
                <td class="btn-group">
                    <a asp-action="Edit"
                       asp-route-UrudzbeniBr="@dokument.urudzbeniBr"
                       asp-route-page="@Model.PagingInfo.CurrentPage"
                       asp-route-sort="@Model.PagingInfo.Sort"
                       asp-route-ascending="@Model.PagingInfo.Ascending"
                       class="btn btn-sm edit"
                       title="Ažuriraj"><i class="fas fa-edit"></i></a>
                    <form asp-action="Delete" method="post"
                          asp-route-page="@Model.PagingInfo.CurrentPage"
                          asp-route-sort="@Model.PagingInfo.Sort"
                          asp-route-ascending="@Model.PagingInfo.Ascending">
                        <input type="hidden" name="UrudzbeniBr" value="@dokument.urudzbeniBr" />
                        <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </form>
                </td>
            </tr>
        }
    </tbody>
</table>
